Skip to main content
`Ctrl`+`K`

# FastCommentedHeader

class astropy.io.ascii.FastCommentedHeader(**kwargs)

  Bases: `FastBasic`

  A faster version of the `CommentedHeader` reader, which looks for column names in a commented line. `header_start` denotes the index of the header line among all commented lines and is 0 by default.

  Methods Summary

  `make_table`(data, comments) | Actually make the output table give the data and comments.
  `write`(table, output) | Override the default writing behavior in `FastBasic` so that column names are commented.

  Methods Documentation

  make_table(data, comments)

    Actually make the output table give the data and comments. This is slightly different from the base FastBasic method in the way comments are handled.

  write(table, output)

    Override the default writing behavior in `FastBasic` so that column names are commented.